document.addEventListener('DOMContentLoaded', () => {
  const posts = document.querySelectorAll('.post');
  posts.forEach(post => {
    post.addEventListener('mouseenter', () => {
      post.style.transform = 'scale(1.02)';
      post.style.transition = 'transform 0.3s ease';
    });
    post.addEventListener('mouseleave', () => {
      post.style.transform = 'scale(1)';
    });
  });
});